Package org.drinkless.tdlib

# Class TdApi.StarSubscriptionTypeChannel

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarSubscriptionType
org.drinkless.tdlib.TdApi.StarSubscriptionTypeChannel

Enclosing class:
  `TdApi`

public static class TdApi.StarSubscriptionTypeChannel extends TdApi.StarSubscriptionType
Describes a subscription to a channel chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StarSubscriptionType

  `TdApi.StarSubscriptionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canReuse`
  True, if the subscription is active and the user can use the method reuseStarSubscription to join the subscribed chat again.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inviteLink`
  The invite link that can be used to renew the subscription if it has been expired; may be empty, if the link isn't available anymore.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarSubscriptionTypeChannel()`
  Describes a subscription to a channel chat.
  `StarSubscriptionTypeChannel(boolean canReuse, String inviteLink)`
  Describes a subscription to a channel chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canReuse

    public boolean canReuse
    True, if the subscription is active and the user can use the method reuseStarSubscription to join the subscribed chat again.

  - ### inviteLink

    public String inviteLink
    The invite link that can be used to renew the subscription if it has been expired; may be empty, if the link isn't available anymore.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarSubscriptionTypeChannel

    public StarSubscriptionTypeChannel()
    Describes a subscription to a channel chat.

  - ### StarSubscriptionTypeChannel

    public StarSubscriptionTypeChannel(boolean canReuse, String inviteLink)
    Describes a subscription to a channel chat.
    Parameters:
      `canReuse` - True, if the subscription is active and the user can use the method reuseStarSubscription to join the subscribed chat again.
      `inviteLink` - The invite link that can be used to renew the subscription if it has been expired; may be empty, if the link isn't available anymore.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StarSubscriptionType`
    Returns:
      this.CONSTRUCTOR